KeyPairGenerator
Date: 2016-06-24

java.security

## Class KeyPairGenerator

- java.lang.Object
- - java.security.KeyPairGeneratorSpi
  - - java.security.KeyPairGenerator

-     public abstract class KeyPairGenerator
      extends KeyPairGeneratorSpi

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `KeyPairGenerator(String var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `KeyPair` | `generateKeyPair()`
    `KeyPair` | `genKeyPair()`
    `String` | `getAlgorithm()`
    `static KeyPairGenerator` | `getInstance(String var0)`
    `static KeyPairGenerator` | `getInstance(String var0, Provider var1)`
    `static KeyPairGenerator` | `getInstance(String var0, String var1)`
    `Provider` | `getProvider()`
    `void` | `initialize(AlgorithmParameterSpec var0)`
    `void` | `initialize(int var0)`
    `void` | `initialize(int var0, SecureRandom var1)`

    - ### Methods inherited from class java.security.KeyPairGeneratorSpi

      `initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyPairGenerator

          protected KeyPairGenerator(String var0)

  - ### Method Detail

    - #### genKeyPair

          public final KeyPair genKeyPair()

    - #### generateKeyPair

          public KeyPair generateKeyPair()

      Specified by:
        `generateKeyPair` in class `KeyPairGeneratorSpi`

    - #### getAlgorithm

          public String getAlgorithm()

    - #### getInstance

          public static KeyPairGenerator getInstance(String var0)
                                              throws NoSuchAlgorithmException

      Throws:
        `NoSuchAlgorithmException`

    - #### getInstance

          public static KeyPairGenerator getInstance(String var0,
                                     String var1)
                                              throws NoSuchAlgorithmException,
                                                     NoSuchProviderException

      Throws:
        `NoSuchAlgorithmException`
        `NoSuchProviderException`

    - #### getInstance

          public static KeyPairGenerator getInstance(String var0,
                                     Provider var1)
                                              throws NoSuchAlgorithmException

      Throws:
        `NoSuchAlgorithmException`

    - #### getProvider

          public final Provider getProvider()

    - #### initialize

          public void initialize(int var0)

    - #### initialize

          public void initialize(int var0,
                        SecureRandom var1)

      Specified by:
        `initialize` in class `KeyPairGeneratorSpi`

    - #### initialize

          public void initialize(AlgorithmParameterSpec var0)
                          throws InvalidAlgorithmParameterException

      Throws:
        `InvalidAlgorithmParameterException`